cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Maxim Ermilov (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-7653) Ubuntu requirements not met with Cordova install
Date Mon, 29 Sep 2014 13:40:33 GMT

    [ https://issues.apache.org/jira/browse/CB-7653?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14151689#comment-14151689
] 

Maxim Ermilov commented on CB-7653:
-----------------------------------

package in ppa had wrong dependency list.


> Ubuntu requirements not met with Cordova install
> ------------------------------------------------
>
>                 Key: CB-7653
>                 URL: https://issues.apache.org/jira/browse/CB-7653
>             Project: Apache Cordova
>          Issue Type: Improvement
>          Components: Ubuntu
>    Affects Versions: 3.6.0
>         Environment: Ubuntu 14.04.1 TLS 64-bit
>            Reporter: John M. Wargo
>            Assignee: Maxim Ermilov
>            Priority: Minor
>              Labels: cli, ubuntu
>
> I setup a clean Ubuntu installation and followed the Cordova installation instructions
from the platform guide at http://cordova.apache.org/docs/en/3.6.0/guide_platforms_ubuntu_index.md.html#Ubuntu%20Platform%20Guide.
> Everything seemed to install correctly, but when I tried to create a project, I received
an error:
> Error: missing dependency cmake libicu-dev pkg-config devscripts qtbase5-dev qtchooser
qtdeclarative5-dev qtfeedback5-dev qtlocation5-dev qtmultimedia5-dev qtpim5-dev libqt5sensors5-dev
qtsystems5-dev
> Apparently one of the dependencies is not installed during the CLI installation. Here's
the complete console output:
> johnwargo@ubuntu:~/dev$ cordova create test
> Creating a new cordova project with name "HelloCordova" and id "io.cordova.hellocordova"
at location "/home/johnwargo/dev/test"
> Downloading cordova library for www...
> Download complete
> johnwargo@ubuntu:~/dev$ cd test
> johnwargo@ubuntu:~/dev/test$ cordova platform add ubuntu
> Downloading cordova library for ubuntu...
> Download complete
> Creating ubuntu project...
> missing icon element in config.xml
> missing icon element in config.xml
> missing icon element in config.xml
> missing icon element in config.xml
> johnwargo@ubuntu:~/dev/test$ cordova plugin add org.apache.cordova.console
> Fetching plugin "org.apache.cordova.console" via plugin registry
> Installing "org.apache.cordova.console" for ubuntu
> johnwargo@ubuntu:~/dev/test$ cordova plugin add org.apache.cordova.dialogs
> Fetching plugin "org.apache.cordova.dialogs" via plugin registry
> Installing "org.apache.cordova.dialogs" for ubuntu
> johnwargo@ubuntu:~/dev/test$ cordova plugin add org.apache.cordova.device
> Fetching plugin "org.apache.cordova.device" via plugin registry
> Installing "org.apache.cordova.device" for ubuntu
> johnwargo@ubuntu:~/dev/test$ cd ..
> johnwargo@ubuntu:~/dev$ mkdir empty
> johnwargo@ubuntu:~/dev$ cd test
> johnwargo@ubuntu:~/dev/test$ cordova run ubuntu
> missing icon element in config.xml
> missing icon element in config.xml
> missing icon element in config.xml
> Running command: /home/johnwargo/dev/test/platforms/ubuntu/cordova/run
> /home/johnwargo/dev/test/platforms/ubuntu/cordova/check_reqs
> Error: missing dependency cmake libicu-dev pkg-config devscripts qtbase5-dev qtchooser
qtdeclarative5-dev qtfeedback5-dev qtlocation5-dev qtmultimedia5-dev qtpim5-dev libqt5sensors5-dev
qtsystems5-dev
> /home/johnwargo/dev/test/platforms/ubuntu/cordova/check_reqs FAILED
> Error: /home/johnwargo/dev/test/platforms/ubuntu/cordova/run: Command failed with exit
code 1
>     at ChildProcess.whenDone (/usr/share/cordova-cli/node_modules/cordova-lib/src/cordova/superspawn.js:135:23)
>     at ChildProcess.EventEmitter.emit (events.js:98:17)
>     at maybeClose (child_process.js:743:16)
>     at Process.ChildProcess._handle.onexit (child_process.js:810:5)
> johnwargo@ubuntu:~/dev/test$ 
> The platform guide says that QTCreator is optional, that you don't need to install it:
> "You may also want to install the Ubuntu QtCreator development environment. See developer.ubuntu.com
for more info. (The QtCreator SDK is not required to add Ubuntu platform support to your Cordova
app.)"
> But when I install QTCreator, and run the complete set of commands again, the error disappears.
> Either the dependencies for the CLI installation need to be updated or the note about
the QTCreator installation being optional should be removed.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message